Bug 1275760 - [z-stream clone 3.6.z] Whenever an exception is thrown in the front end code, unrelated parts of the GUI tend to stop working (e.g. 'new' and 'import' buttons under Networks tab)
[z-stream clone 3.6.z] Whenever an exception is thrown in the front end code,...
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
---
x86_64 Linux
unspecified Severity medium (vote)
: ovirt-3.6.1
: 3.6.1
Assigned To: vszocs
Pavel Novotny
: ZStream
Depends On: 1215727
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-27 12:35 EDT by Einav Cohen
Modified: 2016-03-11 02:21 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1215727
Environment:
Last Closed: 2016-03-11 02:21:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: UX
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ecohen: ovirt‑3.6.z?
ecohen: planning_ack?
ecohen: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)
pop-up box with uncaught UI exception (28.47 KB, image/png)
2016-02-29 11:25 EST, Pavel Novotny
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 25444 None None None Never
oVirt gerrit 46191 None None None Never
oVirt gerrit 47467 None None None Never
oVirt gerrit 47907 ovirt-engine-3.6 MERGED userportal: Enable contextual alerts in UserPortal Never

  None (edit)
Description Einav Cohen 2015-10-27 12:35:44 EDT
+++ This bug was initially created as a clone of Bug #1215727 +++

Description of problem:
Whenever an exception is thrown in the front end code, unrelated parts of the GUI tend to stop working (e.g. 'new' and 'import' buttons under Networks tab).

This needs to be addressed in two ways:

1. Global uncaught exception handler (that also logs runtime errors)
2. An alert that appears at the top of the screen whenever there is a javascript exception, recommending the user to refresh the page in order to avoid unexpected behavior.
Comment 2 Jiri Belka 2016-02-29 04:36:10 EST
FYA https://bugzilla.redhat.com/show_bug.cgi?id=1309562 - add a config option for showing UI exception pop-up
Comment 3 Pavel Novotny 2016-02-29 11:24:14 EST
Verified in rhevm-webadmin-portal-3.6.3.3-0.1.el6, rhevm-userportal-3.6.3.3-0.1.el6.

All uncaught UI exceptions are shown in a pop-up box at the top. See attached screenshot.

Note: as comment 2 mentions, visibility of the pop-up box is set via config option DisplayUncaughtUIExceptions. Default is false for RHEVM, true for oVirt.
Comment 4 Pavel Novotny 2016-02-29 11:25 EST
Created attachment 1131609 [details]
pop-up box with uncaught UI exception
Comment 5 Michael Burman 2016-02-29 11:39:24 EST
Hi Pavel,

Please note that the origin scenario described in BZ 1215727, still behaves as reported. No pop-up box with uncaught UI exception is shown to the user and parts of the UI stop working on 3.6.3.3-0.1.el6(until refreshing the page)

Note You need to log in before you can comment on or make changes to this bug.